B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private txtUrl As B4XView
	Private txtTimeout As B4XView
	Private btnParamSave As B4XView
	Private Label2 As B4XView
	Private IntIme As IME
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("Parameter")
	If File.Exists(File.DirInternal ,"DPM.ini") = True Then
		txtUrl.Text=AllgFnkt.Get_Params("URL")
		txtTimeout.Text=AllgFnkt.Get_Params("TIMER")
	End If
	IntIme.ShowKeyboard(txtUrl)
	txtUrl.RequestFocus
Activity.Title="Einstellungen"	
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Private Sub btnParamSave_Click
	IntIme.HideKeyboard
 	AllgFnkt.Save_Parameter(txtUrl.Text,False)
	AllgFnkt.Save_Parameter(txtTimeout.Text,True)
	Activity.Finish
End Sub

Private Sub btnParamCancel_Click
	IntIme.HideKeyboard
	Activity.Finish
End Sub